public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-sphinx/
Date: Tue, 11 Oct 2016 18:42:48 +0000 (UTC)	[thread overview]
Message-ID: <1476211330.7d0225409429e19fc781f71be2c4a71d0d7795b8.prometheanfire@gentoo> (raw)

commit:     7d0225409429e19fc781f71be2c4a71d0d7795b8
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 11 18:39:22 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Oct 11 18:42:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d022540

dev-python/oslo-sphinx: bup

Package-Manager: portage-2.3.0

 dev-python/oslo-sphinx/Manifest                 |  1 +
 dev-python/oslo-sphinx/oslo-sphinx-4.7.0.ebuild | 50 +++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/oslo-sphinx/Manifest b/dev-python/oslo-sphinx/Manifest
index 73cc718..6aacc4e 100644
--- a/dev-python/oslo-sphinx/Manifest
+++ b/dev-python/oslo-sphinx/Manifest
@@ -1 +1,2 @@
 DIST oslosphinx-3.0.0.tar.gz 25644 SHA256 d39129be6b6076e087ab9a108c1b17f67cbb233ffc2481528df3d76b612cc1f6 SHA512 f2b5f35124bac9bf661ba45af1f18703725d5b5432cc708689a548bde6918975722729f321fb4c1fc8a146011c7e86c1c6abfdc746806d4bf7fa7d640e057a0c WHIRLPOOL 8ccc00a71a3d5f67a33a989120ad2591977169b93a5d81fd2c7798a6b93ad33ce45e6ebd2be69c7e0b0e4fa2e79719e393e63f9a250b50e7b5b9d4621bf03e94
+DIST oslosphinx-4.7.0.tar.gz 27786 SHA256 f8d353445d96c667c95a07c052694a31906c6a36a8305918d63f855f9040b7d1 SHA512 e7334c17bea387898c6c9943ca79c5073927885bdefaba9cdbac01b21a4dd96bcaa0c539c3907508bee5db5959f161d0a8421c688c6592b691edbd7f9013da75 WHIRLPOOL 8cee688ae62f2f16a753fb18c1c8699ce819715a612b3c549b7cb0b07e7cd5e7822c52b9d8f3189d335e26fc036e28012cb7155ed71d01ec7a1cb5d860ad2aaa

diff --git a/dev-python/oslo-sphinx/oslo-sphinx-4.7.0.ebuild b/dev-python/oslo-sphinx/oslo-sphinx-4.7.0.ebuild
new file mode 100644
index 00000000..cf97276
--- /dev/null
+++ b/dev-python/oslo-sphinx/oslo-sphinx-4.7.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_{4,5}} )
+
+inherit distutils-r1
+
+MY_PN="${PN//-/}"
+
+DESCRIPTION="OpenStack Sphinx Extensions and Theme"
+HOMEPAGE="http://www.openstack.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/pbr-1.6[${PYTHON_USEDEP}]
+	doc? (
+		>=dev-python/sphinx-1.2.1[${PYTHON_USEDEP}]
+		<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+	)
+"
+RDEPEND="
+	>=dev-python/requests-2.10.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && esetup.py build_sphinx
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-10-11 18:42 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-11 18:42 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-02-22 22:20 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-sphinx/ Sam James
2021-02-22 22:20 Sam James
2019-10-02 16:48 Matthew Thode
2019-05-08  4:22 Matthew Thode
2018-06-18  1:59 Matt Thode
2018-02-16  6:08 Matt Thode
2018-01-28  4:13 Matt Thode
2017-12-21  7:13 Matt Thode
2017-11-22  2:00 Matt Thode
2017-02-16  6:12 Zac Medico
2016-02-09  9:33 Justin Lecher
2015-11-10  8:24 Agostino Sarubbo
2015-11-10  8:19 Agostino Sarubbo
2015-10-15 12:31 Justin Lecher
2015-08-09 15:30 Tobias Klausmann

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1476211330.7d0225409429e19fc781f71be2c4a71d0d7795b8.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox